Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class StringValues

    java.lang.Object
      org.jdesktop.swingx.renderer.StringValues

    public final class StringValues

extends java.lang.Object

A collection of common `StringValue` implementations.

Author:
  Karl George Schaefer, Jeanette Winzenburg

Nested Class Summary
`static class` | `StringValues.StringValueUIResource` StringValue wrapper of type UIResource to tag LAF installed converters.

Field Summary
`static FormatStringValue` | `DATE_TO_STRING` Default converter for `Date` types.
`static StringValue` | `EMPTY` A `StringValue` that always presents an empty string.
`static StringValue` | `EMPTY_UI`
`static StringValue` | `FILE_NAME` A `StringValue` that presents the current L&F display name for a given file.
`static StringValue` | `FILE_TYPE` A `StringValue` that presents the current L&F type name for a given file.
`static FormatStringValue` | `NUMBER_TO_STRING` Default converter for `Number` types.
`static StringValue` | `TO_STRING` A `StringValue` that presents a `toString` value for the given object.
`static StringValue` | `TO_STRING_UI`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final StringValue EMPTY

  A `StringValue` that always presents an empty string.

### TO_STRING

    public static final StringValue TO_STRING

  A `StringValue` that presents a `toString` value for the given object. If the value passed is `null`, this has the same effect as `EMPTY`.

### FILE_NAME

    public static final StringValue FILE_NAME

  A `StringValue` that presents the current L&F display name for a given file. If the value passed to `FILE_NAME` is not a `File`, this has the same effect as `TO_STRING`.

### FILE_TYPE

    public static final StringValue FILE_TYPE

  A `StringValue` that presents the current L&F type name for a given file. If the value passed to `FILE_TYPE` is not a `File`, this has the same effect as `TO_STRING`.

### DATE_TO_STRING

    public static final FormatStringValue DATE_TO_STRING

  Default converter for `Date` types. Uses the default format as returned from `DateFormat`.

### NUMBER_TO_STRING

    public static final FormatStringValue NUMBER_TO_STRING

  Default converter for `Number` types. Uses the default format as returned from `NumberFormat`.

### TO_STRING_UI

    public static final StringValue TO_STRING_UI

### EMPTY_UI

    public static final StringValue EMPTY_UI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.